The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Timeout while trying to fetch http://layer1.cpanel.net/buildapache15.rc...

Discussion in 'EasyApache' started by tangowebs, Nov 19, 2007.

  1. tangowebs

    tangowebs Well-Known Member

    Joined:
    Oct 12, 2004
    Messages:
    93
    Likes Received:
    0
    Trophy Points:
    0
    While trying to update apache from WHM I get this error message:

    Timeout while trying to fetch http://layer1.cpanel.net/buildapache15.rc...
    Died at /usr/local/cpanel/Whostmgr/LibShare.pm line 272. main::__ANON__('ALRM') called at /usr/local/cpanel/Whostmgr/LibShare.pm line 280 eval {...} called at /usr/local/cpanel/Whostmgr/LibShare.pm line 269 main::eek:bjget('http://layer1.cpanel.net/buildapache15.rc', 0) called at whostmgr/bin/whostmgr2.pl line 15778 main::buildapache() called at whostmgr/bin/whostmgr2.pl line 713
    [a fatal error or timeout occurred while processing this directive]There was an error while fetching http://layer1.cpanel.net/buildapache15.rc

    Any idea why? is a new server, first time working on it.
     
  2. tangowebs

    tangowebs Well-Known Member

    Joined:
    Oct 12, 2004
    Messages:
    93
    Likes Received:
    0
    Trophy Points:
    0
    login as: root
    root@xxxxs password:
    Last login: Mon Nov 19 22:08:39 2007 from xxxx
    [root@server ~]# /scripts/easyapache
    Fetching http://layer1.cpanel.net/buildapache.sea (0)....@209.85.80.214......connected......receiving...1%...2%...3%...4%...5%...6%...7%...8%...9%...10%...11%...12%...13%...14%...15%...16%...17%...18%...19%...20%...21%...22%...23%...24%...25%...26%...27%...28%...29%...30%...31%...32%...33%...34%...35%...36%...37%...38%...39%...40%...41%...42%...43%...44%...45%...46%...47%...48%...49%...50%...51%...52%...53%...54%...55%...56%...57%...58%...59%...60%...61%...62%...63%...64%...65%...66%...67%...68%...69%...70%...71%...72%...73%...74%...75%...76%...77%...78%...79%...80%...81%...82%...83%...84%...85%...86%...87%...88%...89%...90%...91%...92%...93%...94%...95%...96%...97%...98%...99%...100%......Done
    Creating directory buildapache
    Verifying archive integrity... All good.
    Uncompressing buildapache..............................................................................................................................................................................................................................................................................................................................................................................................
    Checking Update System........Your operating system's rpm update method (up2date) was not able to locate the glibc package. This is an indication of an improper setup. You must correct this error before you can proceed.
    Please correct the conflicts and try again!
    initfpsuexec: using apache 1.x support
    Waiting for httpd to restart..............finished.

    root 15541 0.3 0.1 36644 4560 ? Ss 02:09 0:00 /usr/local/apache/bin/httpd -DSSL

    httpd started ok
    [root@server ~]#
     
  3. RizyDeWino

    RizyDeWino Well-Known Member

    Joined:
    Aug 1, 2005
    Messages:
    74
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    Planet Earth
    If you have yum installed on your vps/server try doing 'yum install gcc' and it should install/fixed the missing glibc libraries.
     
  4. tangowebs

    tangowebs Well-Known Member

    Joined:
    Oct 12, 2004
    Messages:
    93
    Likes Received:
    0
    Trophy Points:
    0
    I dont have yum installed...
    What can I do?
     
Loading...

Share This Page